package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.MetroInfo;


/**
*  service接口类
*/
public interface MetroInfoService{

    List<MetroInfo> getMetroInfoList(MetroInfo record);

    List<MetroInfo> getMetroInfoByPage(Page page, MetroInfo record);

    MetroInfo getMetroInfoById(String id);

    MetroInfo getMetroInfo(MetroInfo record);

    boolean createMetroInfo(MetroInfo record);

    boolean deleteMetroInfo(String id);

    boolean updateMetroInfo(MetroInfo record);
}

